FORUMS
Remove All Ads from XDA

[Firmware] [LP] [5.1.1] [RetEd/DevEd] Safe Upgrade to Lollipop [N910VVRU2BPA1]

3,930 posts
Thanks Meter: 22,664
 
By hsbadr, Inactive Recognized Developer on 12th February 2016, 12:32 AM
Post Reply Email Thread
This is a Safe Upgrade to the latest Lollipop 5.1.1 firmware (N910VVRU2BPA1) for VZW Samsung Galaxy Note 4 (SM-N910V), both Retail & Developer Editions.
What do you mean by "Safe Upgrade"?
Quote:

The latest N910VVRU2BPA1 bootloader is incremented; i.e., if you take the OTA or flash the official firmware via Odin, you won't be able to downgrade to rootable KitKat 4.4.4.

Quote:

For Retail Edition: This is very important if you want to gain ROOT access when available & keep it over OTAs then.

For Developer Edition: If the bootloader is incremented with any coming OTA, it'll block your unlocked bootloader for good & you'll end up with a Retail Edition.

Check this thread for more details!

Safe upgrade allows you to downgrade to any previous firmware (KK or LP)...


★ Disclaimer:
THIS SERVICE IS FREE OF CHARGE, USE IT AT YOUR OWN RISK, TAKE IT OR LEAVE IT !


Instructions:
Quote:

Quote:

  • Extract the N910VVRU2BPA1_StockRestore.tar.md5 file using 7-Zip
  • Extract Odin v3.10.7 & open it
  • Reboot to Download Mode (press and hold Home + Power + Volume Down)
  • Connect phone and wait until you get a blue sign in Odin
  • Add the N910VVRU2BPA1_StockRestore.tar.md5 file to AP / PDA
  • Make sure re-partition is NOT ticked
  • Click the start button, sit back & wait a few minutes
  • Reboot into recovery (press and hold Home + Power + Volume Up)
  • Wipe data (Factory Reset)
  • Reboot to system
Special Instructions:
  • For Retail Edition coming from KK, flash N910VVRU1BOAF_Bootloaders.tar.md5 via Odin
    <<<>>>
  • For Developer Edition with incremented bootloader, use the StockRestore Odin tar for Incremented Bootloader: N910VVRU2BPA1_StockRestore_Incremented.tar.md5.7z

    Quote:

    New 5.1.1 and 6.0+ firmwares require system(less) root (SuperSU v2.67 or newer) with a patched or permissive kernel. You may flash MultiSystem kernel for TouchWiz 5.1.1.

    Quote:

    If you want to root and use a custom kernel (e.g., MultiSystem kernel) with this 100% Stock ODEXED ROM, you may have to remove all KNOX apps and /system/container (check this list). You may also need to edit /system/build.prop and change the following property:

    Code:
    ro.securestorage.support=true
    to
    Code:
    ro.securestorage.support=false
    DO NOT UNINSTALL KNOX APPS WITH TITANIUMBACKUP ! IT REMOVES SOME SYSTEM LIBRARIES AND MAY CAUSE ISSUES.

    DO NOT FLASH RETAIL BOORLOADER, IT WILL LOCK YOUR DEVICE !
    UNCHECK "REACTIVATION LOCK" IN SETTINGS/SECURITY !


Downloads:
Quote:

N910VVZW2BPA1 Stock Restore: N910VVRU2BPA1_StockRestore.tar.md5.7z
md5: 1652ccc37b2d778168ed9519ccdcb6ca

N910VVRU1BOAF Bootloaders (RetEd ONLY): N910VVRU1BOAF_Bootloaders.tar.md5.7z
md5: deeef3cde3941572b036c0f6ea6e92b3

N910VVZW2BPA1 Stock Restore (Incremented): N910VVRU2BPA1_StockRestore_Incremented.tar.md5.7z
md5: 9a377ecdea7e64bb4770634756184765

MultiSystem Kernel (LP 5.1.1): MultiSystem-Kernel_LP-5.1.1.zip
md5: e7d98a2a6d4b0f0b2122bb2353a16b84

The Following 26 Users Say Thank You to hsbadr For This Useful Post: [ View ] Gift hsbadr Ad-Free
 
 
12th February 2016, 12:41 AM |#2  
Senior Member
Thanks Meter: 51
 
More
This is going to make a lot of people happy. I on the other hand was to impatient and am locked in lollipop land bootloader. But awesome work @hsbadr
The Following User Says Thank You to anrichardson For This Useful Post: [ View ] Gift anrichardson Ad-Free
12th February 2016, 05:19 AM |#3  
Dwillian's Avatar
Senior Member
Flag Kent, WA
Thanks Meter: 248
 
More
Quote:
Originally Posted by hsbadr

This is a Safe Upgrade to the latest Lollipop 5.1.1 firmware (N910VVRU2BPA1) for VZW Samsung Galaxy Note 4 (SM-N910V), both Retail & Developer Editions.

What do you mean by "Safe Upgrade"?



★ Disclaimer:
THIS SERVICE IS FREE OF CHARGE, USE IT AT YOUR OWN RISK, TAKE IT OR LEAVE IT !


Instructions:

Downloads:

Thank you very very much.

I'm not exactly certain how this all works so please bear with me. Does it matter which version of firmware is installed before I do the update?

My Verizon Note 4 is currently on the safe upgrade to BOG5. So, can I simply flash this new firmware to directly upgrade to BPA1, or do I need to downgrade my firmware to some other version first?

Thanks again.
Quote:
Originally Posted by hsbadr

This is a Safe Upgrade to the latest Lollipop 5.1.1 firmware (N910VVRU2BPA1) for VZW Samsung Galaxy Note 4 (SM-N910V), both Retail & Developer Editions.

What do you mean by "Safe Upgrade"?



★ Disclaimer:
THIS SERVICE IS FREE OF CHARGE, USE IT AT YOUR OWN RISK, TAKE IT OR LEAVE IT !


Instructions:

Downloads:


Sent from my SM-N910V using Tapatalk
12th February 2016, 07:51 AM |#4  
Senior Member
Thanks Meter: 60
 
More
Fantastic work, and I thank you very much. With that said:

I'm really curious how a safe upgrade works. I was under the impression that any tampering of the official file (without root/an unlocked bootloader) would cause it to fail/trip the unofficial firmware message, which is why you can't simply put root into the file and flash it. How did you find a way around this?
12th February 2016, 11:38 AM |#5  
hsbadr's Avatar
OP Inactive Recognized Developer
Thanks Meter: 22,664
 
Donate to Me
More
Quote:
Originally Posted by anrichardson

This is going to make a lot of people happy. I on the other hand was to impatient and am locked in lollipop land bootloader. But awesome work @hsbadr

Thanks!

Quote:
Originally Posted by Dwillian

Thank you very very much.

I'm not exactly certain how this all works so please bear with me. Does it matter which version of firmware is installed before I do the update?

My Verizon Note 4 is currently on the safe upgrade to BOG5. So, can I simply flash this new firmware to directly upgrade to BPA1, or do I need to downgrade my firmware to some other version first?

Thanks again.

Just follow the instructions from any previous Safe Upgrade or KK!

Quote:
Originally Posted by nh97103

Fantastic work, and I thank you very much. With that said:

I'm really curious how a safe upgrade works. I was under the impression that any tampering of the official file (without root/an unlocked bootloader) would cause it to fail/trip the unofficial firmware message, which is why you can't simply put root into the file and flash it. How did you find a way around this?

Safe Upgrade includes official IMGs signed by Samsung, but it's diffrent from their official Full Firmware that increments the bootloader and prevents downgradeability to previous differently-incremented versions. Rooted IMGs fail in signature verification.
The Following 4 Users Say Thank You to hsbadr For This Useful Post: [ View ] Gift hsbadr Ad-Free
12th February 2016, 11:34 PM |#6  
Senior Member
Thanks Meter: 60
 
More
Just flashed it for my retail Note 4. Worked flawlessly. Thanks again!
13th February 2016, 12:53 AM |#7  
Senior Member
Thanks Meter: 101
 
More
Can this be dirty flashed, or should my phone be wiped? Coming from KK.
13th February 2016, 01:26 AM |#8  
Senior Member
Thanks Meter: 60
 
More
Quote:
Originally Posted by usmaak

Can this be dirty flashed, or should my phone be wiped? Coming from KK.

I dirty flashed from the first 5.0.1 update. No problems yet, but it's always recommended to wipe. Coming from Kitkat might be a little different, too.

In other news, 5.1.1 is noticeably smoother. Big difference.
13th February 2016, 01:48 AM |#9  
Senior Member
Thanks Meter: 118
 
More
I'm on the retail Note 4, still on 4.4.4 ANI1. Do I put the N910VVRU1BOAF_Bootloaders.tar.md5 file in BL section in Odin?
The Following User Says Thank You to burntrat For This Useful Post: [ View ] Gift burntrat Ad-Free
13th February 2016, 04:53 AM |#10  
Junior Member
Thanks Meter: 0
 
More
Been patiently waiting for this. Thanks for all your hard work hsbadr!
13th February 2016, 05:29 AM |#11  
Senior Member
Thanks Meter: 51
 
More
Quote:
Originally Posted by burntrat

I'm on the retail Note 4, still on 4.4.4 ANI1. Do I put the N910VVRU1BOAF_Bootloaders.tar.md5 file in BL section in Odin?

No put it in the AP/PDA
The Following 2 Users Say Thank You to anrichardson For This Useful Post: [ View ] Gift anrichardson Ad-Free
Post Reply Subscribe to Thread

Tags
android 5.1.1, n910vvru2bpa1, note 4, safe upgrade, sm-n910v

Guest Quick Reply (no urls or BBcode)
Message:
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes